package com.bursie.harvester.sources;

import java.util.List;

/**
 * An interface for the word sources. A wordsource main task is to find related keywords given a seed keyword.
 */
public interface WordSource {

    /**
     * Finds related keywords given a seed keyword
     *
     * @param seedKeyword A seed keyword, doesn't need to be URL escaped.
     * @return A List of related keywords. Might contain duplicates!
     */
    List<String> getSuggestedKeywords(String seedKeyword);

}
