package com.bursie.harvester.web.tags;

import com.bursie.harvester.logic.Word;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.SimpleTagSupport;
import java.io.IOException;
import java.util.List;

/**
 * A tag class responsible for displaying the table with the result of the keyword search
 */
public class KeywordTable extends SimpleTagSupport {
    private static final String KEYWORD = "keyword";
    private static final String RELEVANCE = "relevance";
    private static final String CLASS = "class";
    private static final String ODD = "odd";
    private static final String EVEN = "even";

    private List<Word> suggestedKeywords;

    public void setSuggestedKeywords(List<Word> suggestedKeywords) {
        this.suggestedKeywords = suggestedKeywords;
    }

    public void doTag() throws JspException, IOException {
        int rownum = 1;

        for (Word suggestedKeyword : suggestedKeywords) {
            getJspContext().setAttribute(KEYWORD, suggestedKeyword.getKeyword());
            getJspContext().setAttribute(RELEVANCE, suggestedKeyword.getRelevance());
            if (isOdd(rownum)) {
                getJspContext().setAttribute(CLASS, ODD);
            } else {
                getJspContext().setAttribute(CLASS, EVEN);
            }
            getJspBody().invoke(null);
            ++rownum;
        }
    }

    private boolean isOdd(int rownum) {
        return rownum % 2 != 0;
    }

}
